epp_Session (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_Session class

### org.openrtk.idl.epprtk

# Interface epp_Session

All Superinterfaces:
  epp_SessionOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

Known Implementing Classes:
  EPPClient

`public interface epp_Session`
`extends epp_SessionOperations, org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity`

The IDL interface implemented by the EPPClient class. The interface defines the complete list of EPP result codes and some RTK specific result codes in static class variables. And the interface brings together epp_SessionOperations and standard IDL classes. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_Session.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `EPPClient`

  ## Field Summary
  `static short` | `EPP_AUTHENTICATION_ERROR_SERVER_CLOSING_CONNECTION`
  `static short` | `EPP_AUTHENTICATION_FAILURE`
  `static short` | `EPP_AUTHORIZATION_FAILURE`
  `static short` | `EPP_BILLING_FAILURE`
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY`
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACK_TO_DEQUEUE`
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACTION_PENDING`
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY_ENDING_SESSION`
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY_MESSAGE_PRESENT` Deprecated.
  `static short` | `EPP_COMMAND_COMPLETED_SUCCESSFULLY_NO_MESSAGES`
  `static short` | `EPP_COMMAND_FAILED`
  `static short` | `EPP_COMMAND_FAILED_SERVER_CLOSING_CONNECTION`
  `static short` | `EPP_COMMAND_FAILED_SERVER_ENDING_SESSION` Deprecated.
  `static short` | `EPP_COMMAND_SYNTAX_ERROR`
  `static short` | `EPP_COMMAND_USE_ERROR`
  `static short` | `EPP_DATA_MANAGEMENT_POLICY_VIOLATION`
  `static short` | `EPP_INVALID_AUTHORIZATION_IDENTIFIER`
  `static short` | `EPP_OBJECT_ASSOCIATION_PROHIBITS_OPERATION`
  `static short` | `EPP_OBJECT_DOES_NOT_EXIST`
  `static short` | `EPP_OBJECT_EXISTS`
  `static short` | `EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_RENEWAL`
  `static short` | `EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_TRANSFER`
  `static short` | `EPP_OBJECT_NOT_PENDING_TRANSFER`
  `static short` | `EPP_OBJECT_PENDING_TRANSFER`
  `static short` | `EPP_OBJECT_STATUS_PROHIBITS_OPERATION`
  `static short` | `EPP_PARAMETER_VALUE_POLICY_ERROR`
  `static short` | `EPP_PARAMETER_VALUE_RANGE_ERROR`
  `static short` | `EPP_PARAMETER_VALUE_SYNTAX_ERROR`
  `static short` | `EPP_REQUIRED_PARAMETER_MISSING`
  `static short` | `EPP_SESSION_LIMIT_EXCEEDED_SERVER_CLOSING_CONNECTION`
  `static short` | `EPP_TIMEOUT_SERVER_ENDING_SESSION` Deprecated.
  `static short` | `EPP_UNIMPLEMENTED_COMMAND`
  `static short` | `EPP_UNIMPLEMENTED_EXTENSION`
  `static short` | `EPP_UNIMPLEMENTED_OBJECT_SERVICE`
  `static short` | `EPP_UNIMPLEMENTED_OPTION`
  `static short` | `EPP_UNIMPLEMENTED_PROTOCOL_VERSION`
  `static short` | `EPP_UNKNOWN_COMMAND`
  `static short` | `RTK_COMMUNICATIONS_FAILURE`
  `static short` | `RTK_UNEXPECTED_SERVER_DISCONNECT`

  ### Methods inherited from interface org.openrtk.idl.epprtk.epp_SessionOperations
  `processAction`, `processXML`

## Field Details

### EPP_AUTHENTICATION_ERROR_SERVER_CLOSING_CONNECTION

    public static final short EPP_AUTHENTICATION_ERROR_SERVER_CLOSING_CONNECTION

> Field Value:
>   2501

### EPP_AUTHENTICATION_FAILURE

    public static final short EPP_AUTHENTICATION_FAILURE

> Field Value:
>   2200

### EPP_AUTHORIZATION_FAILURE

    public static final short EPP_AUTHORIZATION_FAILURE

> Field Value:
>   2201

### EPP_BILLING_FAILURE

    public static final short EPP_BILLING_FAILURE

> Field Value:
>   2104

### EPP_COMMAND_COMPLETED_SUCCESSFULLY

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY

> Field Value:
>   1000

### EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACK_TO_DEQUEUE

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACK_TO_DEQUEUE

> Field Value:
>   1301

### EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACTION_PENDING

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACTION_PENDING

> Field Value:
>   1001

### EPP_COMMAND_COMPLETED_SUCCESSFULLY_ENDING_SESSION

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY_ENDING_SESSION

> Field Value:
>   1500

### EPP_COMMAND_COMPLETED_SUCCESSFULLY_MESSAGE_PRESENT

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY_MESSAGE_PRESENT

> Deprecated.

> Same short value as EPP_COMMAND_COMPLETED_SUCCESSFULLY_ACK_TO_DEQUEUE, but provided for backward compatibility.
> Field Value:
>   1301

### EPP_COMMAND_COMPLETED_SUCCESSFULLY_NO_MESSAGES

    public static final short EPP_COMMAND_COMPLETED_SUCCESSFULLY_NO_MESSAGES

> Field Value:
>   1300

### EPP_COMMAND_FAILED

    public static final short EPP_COMMAND_FAILED

> Field Value:
>   2400

### EPP_COMMAND_FAILED_SERVER_CLOSING_CONNECTION

    public static final short EPP_COMMAND_FAILED_SERVER_CLOSING_CONNECTION

> Field Value:
>   2500

### EPP_COMMAND_FAILED_SERVER_ENDING_SESSION

    public static final short EPP_COMMAND_FAILED_SERVER_ENDING_SESSION

> Deprecated.

> Same short value as EPP_COMMAND_FAILED_SERVER_CLOSING_CONNECTION, but provided for backward compatibility.
> Field Value:
>   2500

### EPP_COMMAND_SYNTAX_ERROR

    public static final short EPP_COMMAND_SYNTAX_ERROR

> Field Value:
>   2001

### EPP_COMMAND_USE_ERROR

    public static final short EPP_COMMAND_USE_ERROR

> Field Value:
>   2002

### EPP_DATA_MANAGEMENT_POLICY_VIOLATION

    public static final short EPP_DATA_MANAGEMENT_POLICY_VIOLATION

> Field Value:
>   2308

### EPP_INVALID_AUTHORIZATION_IDENTIFIER

    public static final short EPP_INVALID_AUTHORIZATION_IDENTIFIER

> Field Value:
>   2202

### EPP_OBJECT_ASSOCIATION_PROHIBITS_OPERATION

    public static final short EPP_OBJECT_ASSOCIATION_PROHIBITS_OPERATION

> Field Value:
>   2305

### EPP_OBJECT_DOES_NOT_EXIST

    public static final short EPP_OBJECT_DOES_NOT_EXIST

> Field Value:
>   2303

### EPP_OBJECT_EXISTS

    public static final short EPP_OBJECT_EXISTS

> Field Value:
>   2302

### EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_RENEWAL

    public static final short EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_RENEWAL

> Field Value:
>   2105

### EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_TRANSFER

    public static final short EPP_OBJECT_IS_NOT_ELIGIBLE_FOR_TRANSFER

> Field Value:
>   2106

### EPP_OBJECT_NOT_PENDING_TRANSFER

    public static final short EPP_OBJECT_NOT_PENDING_TRANSFER

> Field Value:
>   2301

### EPP_OBJECT_PENDING_TRANSFER

    public static final short EPP_OBJECT_PENDING_TRANSFER

> Field Value:
>   2300

### EPP_OBJECT_STATUS_PROHIBITS_OPERATION

    public static final short EPP_OBJECT_STATUS_PROHIBITS_OPERATION

> Field Value:
>   2304

### EPP_PARAMETER_VALUE_POLICY_ERROR

    public static final short EPP_PARAMETER_VALUE_POLICY_ERROR

> Field Value:
>   2306

### EPP_PARAMETER_VALUE_RANGE_ERROR

    public static final short EPP_PARAMETER_VALUE_RANGE_ERROR

> Field Value:
>   2004

### EPP_PARAMETER_VALUE_SYNTAX_ERROR

    public static final short EPP_PARAMETER_VALUE_SYNTAX_ERROR

> Field Value:
>   2005

### EPP_REQUIRED_PARAMETER_MISSING

    public static final short EPP_REQUIRED_PARAMETER_MISSING

> Field Value:
>   2003

### EPP_SESSION_LIMIT_EXCEEDED_SERVER_CLOSING_CONNECTION

    public static final short EPP_SESSION_LIMIT_EXCEEDED_SERVER_CLOSING_CONNECTION

> Field Value:
>   2502

### EPP_TIMEOUT_SERVER_ENDING_SESSION

    public static final short EPP_TIMEOUT_SERVER_ENDING_SESSION

> Deprecated.

> Same short value as EPP_AUTHENTICATION_ERROR_SERVER_CLOSING_CONNECTION, but provided for backward compatibility.
> Field Value:
>   2501

### EPP_UNIMPLEMENTED_COMMAND

    public static final short EPP_UNIMPLEMENTED_COMMAND

> Field Value:
>   2101

### EPP_UNIMPLEMENTED_EXTENSION

    public static final short EPP_UNIMPLEMENTED_EXTENSION

> Field Value:
>   2103

### EPP_UNIMPLEMENTED_OBJECT_SERVICE

    public static final short EPP_UNIMPLEMENTED_OBJECT_SERVICE

> Field Value:
>   2307

### EPP_UNIMPLEMENTED_OPTION

    public static final short EPP_UNIMPLEMENTED_OPTION

> Field Value:
>   2102

### EPP_UNIMPLEMENTED_PROTOCOL_VERSION

    public static final short EPP_UNIMPLEMENTED_PROTOCOL_VERSION

> Field Value:
>   2100

### EPP_UNKNOWN_COMMAND

    public static final short EPP_UNKNOWN_COMMAND

> Field Value:
>   2000

### RTK_COMMUNICATIONS_FAILURE

    public static final short RTK_COMMUNICATIONS_FAILURE

> Field Value:
>   2600

### RTK_UNEXPECTED_SERVER_DISCONNECT

    public static final short RTK_UNEXPECTED_SERVER_DISCONNECT

> Field Value:
>   2601

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS